package tutorialJava.examenes.examen20241211;

public class Revista extends Producto {

	private int numEdicion, mesPublicacion;
	
	public Revista() {
	}

	public Revista(String codigo, String titulo, int numEdicion,
			int mesPublicacion) {
		super(codigo, titulo);
		this.numEdicion = numEdicion;
		this.mesPublicacion = mesPublicacion;
	}

	public int getNumEdicion() {
		return numEdicion;
	}

	public void setNumEdicion(int numEdicion) {
		this.numEdicion = numEdicion;
	}

	public int getMesPublicacion() {
		return mesPublicacion;
	}

	public void setMesPublicacion(int mesPublicacion) {
		this.mesPublicacion = mesPublicacion;
	}

	@Override
	public String toString() {
		return "Revista [numEdicion=" + numEdicion + ", mesPublicacion=" + mesPublicacion + ", getCodigo()="
				+ getCodigo() + ", getTitulo()=" + getTitulo() + ", getPrecio()=" + getPrecio() + "]";
	}

	
}
